View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
10554Bug reportsSurvey takingpublic2016-03-07 11:49
Reporterpedro42 Assigned ToLouisGac 
PriorityhighSeverityminor 
Status closedResolutionfixed 
Product Version2.50.x 
Fixed in Version2.50.x 
Summary10554: No answer buttons are always shown (in case no answer is disabled)
DescriptionAs in summary. When i switch from buttons to radoiobuttons, the "no answer" option is not shown (correctly).
Steps To ReproduceRun attached survey. Gender (male, female, no answer). This question is mandatory.
TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)2.50+ build 160222
I will donate to the project if issue is resolvedNo
BrowserFirefox ESR 38.6.1 Linux x86_64
Database type & versionPostgreSQL 9.4.6
Server OS (if known)Slackware Linux 14.1, 32 bit
Webserver software & version (if known)Apache 2.4.16
PHP Version5.6.18

Relationships

related to 10543 closedLouisGac "Gender buttons" 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

pedro42

pedro42

2016-02-23 08:51

reporter  

pedro42

pedro42

2016-02-23 08:57

reporter   ~35584

Not in gender questions only, in Yes/No questions as well.
LouisGac

LouisGac

2016-03-04 11:29

developer   ~35964

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=17763
LouisGac

LouisGac

2016-03-04 11:29

developer  

noanswergender.png (47,589 bytes)   
noanswergender.png (47,589 bytes)   
LouisGac

LouisGac

2016-03-04 11:35

developer   ~35966

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=17764
c_schmitz

c_schmitz

2016-03-07 11:49

administrator   ~36045

Version 2.50+ Build 160307 released

Related Changesets

LimeSurvey: master f59ec8d3

2016-03-04 10:28:57

LouisGac

Details Diff
Fixed issue 10554: No answer buttons are always shown (in case no answer is disabled) Affected Issues
10554
mod - application/helpers/qanda_helper.php Diff File
mod - application/views/survey/questions/gender/buttons/item.php Diff File

LimeSurvey: master d0871647

2016-03-04 10:35:31

LouisGac

Details Diff
Fixed issue 10554: No answer buttons are always shown (Yes/No case) Affected Issues
10554
mod - application/helpers/qanda_helper.php Diff File
mod - application/views/survey/questions/gender/buttons/item.php Diff File
mod - application/views/survey/questions/yesno/buttons/item.php Diff File

Issue History

Date Modified Username Field Change
2016-02-23 08:51 pedro42 New Issue
2016-02-23 08:51 pedro42 File Added: limesurvey_survey_317537.lss
2016-02-23 08:53 c_schmitz Relationship added related to 10543
2016-02-23 08:54 c_schmitz Priority normal => high
2016-02-23 08:57 pedro42 Note Added: 35584
2016-02-24 18:01 ollehar Assigned To => LouisGac
2016-02-24 18:01 ollehar Status new => assigned
2016-03-04 11:29 LouisGac Changeset attached => LimeSurvey master f59ec8d3
2016-03-04 11:29 LouisGac Note Added: 35964
2016-03-04 11:29 LouisGac Resolution open => fixed
2016-03-04 11:29 LouisGac File Added: noanswergender.png
2016-03-04 11:35 LouisGac Changeset attached => LimeSurvey master d0871647
2016-03-04 11:35 LouisGac Note Added: 35966
2016-03-04 12:20 LouisGac Status assigned => resolved
2016-03-07 11:48 c_schmitz Fixed in Version => 2.5
2016-03-07 11:49 c_schmitz Note Added: 36045
2016-03-07 11:49 c_schmitz Status resolved => closed